Subject: Re: bug#30312: documentation: misleading EFI partitioning instructions

From: [email-masked] (Ludovic Courtès)
Date: Tue, 26 Jun 2018 22:14:09 +0200

Marius Bakke <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>>> I'm not sure how to best resolve the first issue.  I suppose we can
>>> mention that if unsure which GRUB to use, the user can test whether
>>> "/sys/firmware/efi" exists on the live image.
>>> 
>>> We could also make it clearer when booting whether the installer is in
>>> "UEFI" mode or not.
>>
>> Maybe ‘guix system’ could warn, but I’m not sure how to do that in a
>> clean way.
>
> I was thinking a visual hint when booting the live USB, e.g. in the
> motd:
>
> (if (file-exists? "/sys/firmware/efi")
>      "Welcome to the GuixSD installation image (UEFI mode)!".
>      "Welcome to the GuixSD installation image!")
>
> I think Debian does something like this in the boot menu (IIRC).

The body is just plain static text, so I’m not sure how we could do
this.  We’d need a bit of code to do that in /etc/profile or something.
Ideas?

Thanks,
Ludo’.